lensfun: lfMount Struct Reference

lensfun 0.3.4.0

Public Member Functions | Public Attributes | List of all members
lfMount Struct Reference
Structures and functions for camera mounts

This structure contains everything specific to a camera mount. More...

`#include <lensfun.h>`

## Public Member Functions
| lfMount ()
| Initialize a new mount object. All fields are set to 0.
| lfMount (const lfMount &other)
lfMount & | operator= (const lfMount &other)
| ~lfMount ()
| Destroy a mount object. All allocated fields are freed.
void | SetName (const char *val, const char *lang=NULL)
| Add a string to mount name.
void | AddCompat (const char *val)
| Add a mount name to the list of compatible mounts.
bool | Check ()
| Check if a mount object is valid.

## Public Attributes
lfMLstr | Name
| Camera mount name.
char ** | Compat

## Detailed Description

This structure contains everything specific to a camera mount.

Objects of this type are usually retrieved from the database by using queries (see lfDatabase::FindMount() / lf_db_find_mount()), and can be created manually in which case it is application's responsability to destroy the object when it is not needed anymore.

Examples
  example.c, and tfun.cpp.

## Constructor & Destructor Documentation

## ◆ lfMount()

lfMount::lfMount | ( | const lfMount & | other | ) |

Copy constructor

## Member Function Documentation

## ◆ AddCompat()

void lfMount::AddCompat | ( | const char * | val | ) |

Add a mount name to the list of compatible mounts.

Parameters

  val | The identifier of the compatible mount.

## ◆ Check()

bool lfMount::Check | ( |  | ) |

Check if a mount object is valid.

Returns
  true if required fields are ok.

## ◆ operator=()

lfMount & lfMount::operator= | ( | const lfMount & | other | ) |

Assignment operator

## ◆ SetName()

void lfMount::SetName | ( | const char * | val,
|  | const char * | lang = NULL )

Add a string to mount name.

If lang is NULL, this replaces the default value, otherwise a new language value is appended.

Parameters

  val | The new value for the Name field.
  lang | The language this field is in.

## Member Data Documentation

## ◆ Compat

char** lfMount::Compat

A list of compatible mounts

Examples
  example.c, and tfun.cpp.

## ◆ Name

lfMLstr lfMount::Name

Camera mount name.

Mount names for fixed-lens cameras – and only they – must start with a lower case letter.

Examples
  tfun.cpp.

The documentation for this struct was generated from the following file:

- lensfun.h